# OKRotations

## What is OKRotations?

OKRotations is a collection of LUA scripts that create basic rotations for World of Warcraft private servers that allow LUA scripting. These rotations are designed to be just OK - not the best, but definitely better than randomly pressing buttons.

## Prerequisites

Before using OKRotations, you need to install Bastion. Bastion is a framework that these scripts rely on to function properly. You can find and install Bastion from: https://git.tinkr.site/CiscOH/Bastion

## What OKRotations Is:

- A set of simple rotations for different WoW classes
- Better than just mashing random keys
- Easy to understand and use
- Made for private servers that let you use LUA scripts
- A starting point for people who want to make their own rotations

## What OKRotations Is Not:

- The best or most optimal rotations out there
- As good as SimulationCraft or top-tier rotations
- Made for official WoW servers
- A complex or hard-to-use system

## Getting Started

1. Install Bastion from https://git.tinkr.site/CiscOH/Bastion following their installation instructions.
2. Download the OKRotations scripts.
3. Place the scripts in your Bastion scripts folder.
4. In-game, use the following commands:
   - Type `/bastion toggle` to enable the Bastion engine.
   - Type `/bastion module [module name]` to toggle a specific OKRotation module on or off.

## Contributing

If you want to make these rotations better or add new ones, feel free to help out! Just remember, we're aiming for "OK", not "amazing". Keep it simple and easy to understand.

Enjoy your just OK gameplay!